Package org.bukkit.entity

# Interface Panda

All Superinterfaces:
  `Ageable`, `Animals`, `Attributable`, `Audience`, `Breedable`, `CommandSender`, `Creature`, `Damageable`, `Entity`, `HoverEventSource<HoverEvent.ShowEntity>`, `LivingEntity`, `Lootable`, `Metadatable`, `Mob`, `Nameable`, `Permissible`, `PersistentDataHolder`, `Pointered`, `ProjectileSource`, `ServerOperator`, `Sittable`, `Sound.Emitter`

public interface Panda extends Animals, Sittable
Panda entity.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Panda.Gene`

## Nested classes/interfaces inherited from interface org.bukkit.entity.Entity

`Entity.Spigot`

## Method Summary

Modifier and Type
Method
Description
`int`
`getEatingTicks()`
Gets the current eating progress, or how many ticks this panda has been eating for.
`@NotNull Panda.Gene`
`getHiddenGene()`
Gets this Panda's hidden gene.
`@NotNull Panda.Gene`
`getMainGene()`
Gets this Panda's main gene.
`int`
`getSneezeTicks()`
Gets the current sneeze progress, or how many ticks this panda will sneeze for.
`int`
`getUnhappyTicks()`
Gets how many ticks this panda will be unhappy for.
`boolean`
`isOnBack()`
Gets if this panda is currently on its back.
`boolean`
`isRolling()`
Gets if this panda is currently rolling on the ground.
`boolean`
`isSitting()`
Gets if this panda is sitting.
`boolean`
`isSneezing()`
Gets if the panda is sneezing
`void`
`setEatingTicks(int ticks)`
Sets the eating ticks for this panda.
`void`
`setHiddenGene(@NotNull Panda.Gene gene)`
Sets this Panda's hidden gene.
`void`
`setIsOnBack(boolean onBack)`
Sets if this panda is currently on its back.
`default void`
`setIsSitting(boolean sitting)`
Deprecated, for removal: This API element is subject to removal in a future version.
use `setSitting(boolean)`
`void`
`setMainGene(@NotNull Panda.Gene gene)`
Sets this Panda's main gene.
`void`
`setRolling(boolean rolling)`
Sets if this panda is currently rolling.
`void`
`setSitting(boolean sitting)`
Sets if this panda is currently sitting.
`void`
`setSneezeTicks(int ticks)`
Sets the sneeze progress in this animation.
`void`
`setSneezing(boolean sneeze)`
Sets if the panda is sneezing, which causes the sneeze counter to count.
`void`
`setUnhappyTicks(int ticks)`
Sets the number of ticks this panda will be unhappy for.

### Methods inherited from interface org.bukkit.entity.Ageable

`getAge, isAdult, setAdult, setAge, setBaby`

### Methods inherited from interface org.bukkit.entity.Animals

`getBreedCause, getLoveModeTicks, isBreedItem, isBreedItem, isLoveMode, setBreedCause, setLoveModeTicks`

### Methods inherited from interface org.bukkit.attribute.Attributable

`getAttribute, registerAttribute`

### Methods inherited from interface net.kyori.adventure.audience.Audience

`clearTitle, filterAudience, forEachAudience, hideBossBar, openBook, openBook, playSound, playSound, playSound, resetTitle, sendActionBar, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeader, sendPlayerListHeaderAndFooter, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, showTitle, stopSound, stopSound`

### Methods inherited from interface org.bukkit.entity.Breedable

`canBreed, getAgeLock, setAgeLock, setBreed`

### Methods inherited from interface org.bukkit.command.CommandSender

`getName, name, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage`

### Methods inherited from interface org.bukkit.entity.Damageable

`damage, damage, getAbsorptionAmount, getHealth, getMaxHealth, resetMaxHealth, setAbsorptionAmount, setHealth, setMaxHealth`

### Methods inherited from interface org.bukkit.entity.Entity

`addPassenger, addScoreboardTag, asHoverEvent, eject, fromMobSpawner, getBoundingBox, getChunk, getEntityId, getEntitySpawnReason, getFacing, getFallDistance, getFireTicks, getFreezeTicks, getHeight, getLastDamageCause, getLocation, getLocation, getMaxFireTicks, getMaxFreezeTicks, getNearbyEntities, getOrigin, getPassenger, getPassengers, getPistonMoveReaction, getPortalCooldown, getPose, getScoreboardTags, getServer, getSpawnCategory, getTicksLived, getTrackedPlayers, getType, getUniqueId, getVehicle, getVelocity, getWidth, getWorld, hasGravity, isCustomNameVisible, isDead, isEmpty, isFreezeTickingLocked, isFrozen, isGlowing, isInBubbleColumn, isInLava, isInPowderedSnow, isInRain, isInsideVehicle, isInvulnerable, isInWater, isInWaterOrBubbleColumn, isInWaterOrRain, isInWaterOrRainOrBubbleColumn, isOnGround, isPersistent, isSilent, isTicking, isValid, isVisualFire, leaveVehicle, lockFreezeTicks, playEffect, remove, removePassenger, removeScoreboardTag, setCustomNameVisible, setFallDistance, setFireTicks, setFreezeTicks, setGlowing, setGravity, setInvulnerable, setLastDamageCause, setPassenger, setPersistent, setPortalCooldown, setRotation, setSilent, setTicksLived, setVelocity, setVisualFire, spawnAt, spawnAt, spigot, teamDisplayName, teleport, teleport, teleport, teleport, teleportAsync, teleportAsync`

### Methods inherited from interface net.kyori.adventure.text.event.HoverEventSource

`asHoverEvent`

### Methods inherited from interface org.bukkit.entity.LivingEntity

`addPotionEffect, addPotionEffect, addPotionEffects, attack, clearActiveItem, getActiveItem, getActivePotionEffects, getArrowCooldown, getArrowsInBody, getArrowsStuck, getBeeStingerCooldown, getBeeStingersInBody, getCanPickupItems, getCategory, getCollidableExemptions, getEyeHeight, getEyeHeight, getEyeLocation, getHandRaised, getHandRaisedTime, getHurtDirection, getItemUseRemainingTime, getKiller, getLastDamage, getLastTwoTargetBlocks, getLeashHolder, getLineOfSight, getMaximumAir, getMaximumNoDamageTicks, getMemory, getNoDamageTicks, getPotionEffect, getRemainingAir, getRemoveWhenFarAway, getShieldBlockingDelay, getTargetBlock, getTargetBlock, getTargetBlock, getTargetBlockExact, getTargetBlockExact, getTargetBlockFace, getTargetBlockFace, getTargetBlockInfo, getTargetBlockInfo, getTargetEntity, getTargetEntity, getTargetEntityInfo, getTargetEntityInfo, hasAI, hasLineOfSight, hasLineOfSight, hasPotionEffect, isClimbing, isCollidable, isGliding, isHandRaised, isInvisible, isJumping, isLeashed, isRiptiding, isSleeping, isSwimming, playPickupItemAnimation, playPickupItemAnimation, rayTraceBlocks, rayTraceBlocks, removePotionEffect, setAI, setArrowCooldown, setArrowsInBody, setArrowsStuck, setBeeStingerCooldown, setBeeStingersInBody, setCanPickupItems, setCollidable, setGliding, setHurtDirection, setInvisible, setJumping, setKiller, setLastDamage, setLeashHolder, setMaximumAir, setMaximumNoDamageTicks, setMemory, setNoDamageTicks, setRemainingAir, setRemoveWhenFarAway, setShieldBlockingDelay, setSwimming, swingMainHand, swingOffHand`

### Methods inherited from interface org.bukkit.loot.Lootable

`clearLootTable, getLootTable, getSeed, hasLootTable, setLootTable, setLootTable, setSeed`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.entity.Mob

`getEquipment, getHeadRotationSpeed, getMaxHeadPitch, getPathfinder, getTarget, isAware, isInDaylight, isLeftHanded, lookAt, lookAt, lookAt, lookAt, lookAt, lookAt, setAware, setLeftHanded, setTarget`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.permissions.Permissible

`addAttachment, addAttachment, addAttachment, addAttachment, getEffectivePermissions, hasPermission, hasPermission, isPermissionSet, isPermissionSet, permissionValue, permissionValue, recalculatePermissions, removeAttachment`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

### Methods inherited from interface net.kyori.adventure.pointer.Pointered

`get, getOrDefault, getOrDefaultFrom, pointers`

### Methods inherited from interface org.bukkit.projectiles.ProjectileSource

`launchProjectile, launchProjectile`

### Methods inherited from interface org.bukkit.permissions.ServerOperator

`isOp, setOp`

## Method Details

### getMainGene

@NotNull @NotNull Panda.Gene getMainGene()
Gets this Panda's main gene.

Returns:
  main gene

### setMainGene

void setMainGene(@NotNull @NotNull Panda.Gene gene)
Sets this Panda's main gene.

Parameters:
  `gene` - main gene

### getHiddenGene

@NotNull @NotNull Panda.Gene getHiddenGene()
Gets this Panda's hidden gene.

Returns:
  hidden gene

### setHiddenGene

void setHiddenGene(@NotNull @NotNull Panda.Gene gene)
Sets this Panda's hidden gene.

Parameters:
  `gene` - hidden gene

### setSneezeTicks

void setSneezeTicks(int ticks)
Sets the sneeze progress in this animation. This value counts up only if `isSneezing()` is true

Parameters:
  `ticks` - sneeze progress

### getSneezeTicks

int getSneezeTicks()
Gets the current sneeze progress, or how many ticks this panda will sneeze for.

Returns:
  sneeze progress

### setSneezing

void setSneezing(boolean sneeze)
Sets if the panda is sneezing, which causes the sneeze counter to count.

When false, this will automatically set the sneeze ticks to 0.

Parameters:
  `sneeze` - if the panda is sneezing or not

### isSneezing

boolean isSneezing()
Gets if the panda is sneezing

Returns:
  is sneezing

### setEatingTicks

void setEatingTicks(int ticks)
Sets the eating ticks for this panda.

This starts counting up as long as it is greater than 0.

Parameters:
  `ticks` - eating ticks

### getEatingTicks

int getEatingTicks()
Gets the current eating progress, or how many ticks this panda has been eating for.

Returns:
  eating progress

### setUnhappyTicks

void setUnhappyTicks(int ticks)
Sets the number of ticks this panda will be unhappy for.

This value counts down.

Parameters:
  `ticks` - unhappy ticks

### getUnhappyTicks

int getUnhappyTicks()
Gets how many ticks this panda will be unhappy for.

Returns:
  unhappy ticks

### setRolling

void setRolling(boolean rolling)
Sets if this panda is currently rolling.

Parameters:
  `rolling` - should roll

### isRolling

boolean isRolling()
Gets if this panda is currently rolling on the ground.

Returns:
  is rolling

### setIsOnBack

void setIsOnBack(boolean onBack)
Sets if this panda is currently on its back.

Parameters:
  `onBack` - is on its back

### isOnBack

boolean isOnBack()
Gets if this panda is currently on its back.

Returns:
  is on back

### setIsSitting

@Deprecated(forRemoval=true) default void setIsSitting(boolean sitting)
Deprecated, for removal: This API element is subject to removal in a future version.
use `setSitting(boolean)`
Sets if this panda is currently sitting.

Parameters:
  `sitting` - is currently sitting

### setSitting

void setSitting(boolean sitting)
Sets if this panda is currently sitting.

Specified by:
  `setSitting` in interface `Sittable`
Parameters:
  `sitting` - is currently sitting

### isSitting

boolean isSitting()
Gets if this panda is sitting.

Specified by:
  `isSitting` in interface `Sittable`
Returns:
  is sitting